Bug 62079 - Hidden Items Menu
Summary: Hidden Items Menu
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: difficultyInteresting, easyHack, skillCpp
Depends on:
Blocks:
 
Reported: 2013-03-10 01:02 UTC by Tin Man
Modified: 2017-02-14 08:57 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
A mockup of the hidden items menu (100.32 KB, image/png)
2013-03-10 01:02 UTC, Tin Man
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Tin Man 2013-03-10 01:02:23 UTC
Created attachment 76250 [details]
A mockup of the hidden items menu

The idea is to have a toolbar flag for showing a menu for showing hidden commands at the end of a toolbar. "Customize..." would be the last entry in the menu.
In addition, it'd be great if the icon for this menu was customizable.
Comment 1 Michael Meeks 2013-03-14 15:13:07 UTC
Add a separator + 'Customize' icon to the end of the no-space toolbar drop-down, so we can still customize it.
Comment 2 Tin Man 2013-03-14 16:41:27 UTC
(In reply to comment #1)
> Add a separator + 'Customize' icon to the end of the no-space toolbar
> drop-down, so we can still customize it.

What exactly do you imagine?
In the mockup, "Customize..." is already the last item in the dropdown, though I agree it could be more visually separated.
Comment 3 Michael Meeks 2013-04-03 09:56:10 UTC
I was just trying to clarify and re-explain the task in words I can understand - your picture didn't help me to see what was new.

We already have this toolbar item when you don't have enough toolbar space: you click on the '>>' button in the toolbar and you get that, almost exactly as you show.

As such - the only new thing I see here is adding a 'customize' entry to the bottom of that menu [ after a separator ] (right?).

Or - do you want to see the items that are not shown in the toolbar as well ? is that the substance of the task ? :-) [ ie. the ones that are un-checked when you right-click on the toolbar and select 'visible buttons' ].

Actually that visible buttons toolbar is mangled, it should show check-boxes next to all those icons - hmm :-)
Comment 4 Tin Man 2013-04-03 10:13:06 UTC
(In reply to comment #3)
> Or - do you want to see the items that are not shown in the toolbar as well
> ? is that the substance of the task ? :-) [ ie. the ones that are un-checked
> when you right-click on the toolbar and select 'visible buttons' ].

Yes -- that's the task.
This would be a per-toolbar setting.

> Actually that visible buttons toolbar is mangled, it should show check-boxes
> next to all those icons - hmm :-)

The entries in the menu should execute the corresponding commands, just like they would in a toolbar. The menu wouldn't be used to toggle the visibility of the commands [1].

The current Visible Buttons menu indicates that a command is shown using pushed-in buttons, not unlike the way the active alignment icons are highlighted. There's no need for additional check-boxes.

[1] It could gain this feature, but it should be secondary and rely on e.g. a drag-and-drop gesture.
Comment 5 Michael Meeks 2013-04-03 13:06:42 UTC
It is also worth noticing that when menu items like "font color" are pushed out to the menu - that they cease to work ;-) clicking them doesn't give a drop-down to select a color from: fixing that may prove rather problematic - but worth doing no doubt.
Comment 6 Tin Man 2013-04-03 14:07:34 UTC
(In reply to comment #5)
> It is also worth noticing that when menu items like "font color" are pushed
> out to the menu - that they cease to work ;-) clicking them doesn't give a
> drop-down to select a color from: fixing that may prove rather problematic -
> but worth doing no doubt.

Definitely.
Comment 7 Jan Holesovsky 2013-04-25 13:58:20 UTC
Making an Easy Hack from this - for the code pointers, please check

https://wiki.documentfoundation.org/Development/GSoC/Ideas#Improve_toolbars_in_LibreOffice
Comment 8 Tin Man 2013-06-12 11:40:32 UTC
Rather than being optional, it'd be better to show the toolbar whenever something is hidden. If the menu bothers the user, he can simply remove the hidden items from the toolbar.
Comment 9 Björn Michaelsen 2013-10-04 18:47:24 UTC
adding LibreOffice developer list as CC to unresolved EasyHacks for better visibility.

see e.g. http://nabble.documentfoundation.org/minutes-of-ESC-call-td4076214.html for details
Comment 10 Robinson Tryon (qubit) 2015-12-14 05:03:42 UTC Comment hidden (obsolete)
Comment 11 Robinson Tryon (qubit) 2016-02-18 14:51:45 UTC Comment hidden (obsolete)
Comment 12 jani 2016-06-06 06:02:57 UTC
A polite ping, still working on this issue ?
Comment 13 jani 2016-07-08 06:08:16 UTC
Unassigning due to lack of work